Bug 1279732 - can't update product by xmlrpc when vote not specified
can't update product by xmlrpc when vote not specified
Status: CLOSED CURRENTRELEASE
Product: Bugzilla
Classification: Community
Component: WebService (Show other bugs)
4.4
Unspecified Unspecified
unspecified Severity high (vote)
: ---
: ---
Assigned To: PnT DevOps Devs
tools-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-10 02:24 EST by Rony Gong
Modified: 2015-12-15 21:14 EST (History)
3 users (show)

See Also:
Fixed In Version: 4.4.10045.3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-15 21:14:23 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rony Gong 2015-11-10 02:24:25 EST
Description of problem:
can't update product by xmlrpc when vote not specified 

Version-Release number of selected component (if applicable):
4.4.10043-6

How reproducible:
Always

Steps to Reproduce:
1.Try to update an product like:
xmlrpc.Product.update({'is_open': 'false', 'name': 'bne-test2-29cL', 'has_unconfirmed': 'false', 'Bugzilla_password': '*******', 'default_milestone': '--', 'default_release': '--', 'ids': [482], 'Bugzilla_login': 'admin1@hsstest.com', 'description': 'test2'}) 
2.
3.

Actual results:
{'fault_code': 32000,
 'fault_string': "'' is an invalid value for the Votes Per User field, which should contain a non-negative number."}

Expected results:
It could update product 

Additional info:
Comment 1 Rony Gong 2015-11-16 02:47:02 EST
Tested on 
QA environment(bzperfweb01.app.qa) with version(4.4.10044-2, DB: psql)
Result: Pass
Comment 2 Matt Tyson 2015-12-15 21:14:23 EST
This change is now live. If there are any issues, do not reopen this bug. Instead, you should create a new bug and reference this bug.

Note You need to log in before you can comment on or make changes to this bug.